Subject: bug#63008: closed (Re: [bug#63008] gdb on aarch64)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 20 May 2023 20:01:02 +0000

Your bug report

#63008: [PATCH core-updates] gnu: gdb@11: Update to 11.2.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63008: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63008
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#63008] gdb on aarch64
From: Efraim Flashner <[email-masked]>
To: Andreas Enge <[email-masked]>, Pierre Langlois <[email-masked]>, [email-masked]
Date: Sat, 20 May 2023 23:00:46 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Apr 25, 2023 at 03:01:15PM +0300, Efraim Flashner wrote:
> On Mon, Apr 24, 2023 at 10:12:35PM +0200, Andreas Enge wrote:
> > Hello Pierre,
> > 
> > Am Mon, Apr 24, 2023 at 08:04:18PM +0100 schrieb Pierre Langlois:
> > > I think the main reason we still have gdb 11 is to make sure we don't
> > > rebuild the rust world. I'm afraid if we don't do update it know, we'll
> > > have to do it quite soon, can the rust world be rebuilt on a staging
> > > branch soon after the core-updates merge?
> > 
> > definitely, there already is a rust-team branch, and the rust team is in
> > the starting block. Discussing gdb in this context would probably be
> > a good idea!
> 
> I was able to build rust-1.60 on core-updates on x86_64 using
> gdb-minimal. IMO we should switch to that for aarch64/riscv64 and then
> I'll switch x86_64 over to it later in the rust-team branch.

I've since switched rust to using gdb-12.1 and removed gdb-11 from Guix.
Closing this bug!

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH core-updates] gnu: gdb@11: Update to 11.2.
From: Pierre Langlois <[email-masked]>
To: [email-masked]
Date: Fri, 21 Apr 2023 23:11:28 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix!

I'm trying out the core-updates branch on aarch64, and gdb@11 doesn't
build with the new glibc, see: https://sourceware.org/bugzilla/show_bug.cgi?id=28302

Luckily, the patch was backported to 11.2, so it's a trivial fix! Is
this OK to commit? It'll be a big rebuild, I guess it could be bundled
with other fixes.

Thanks,
Pierre

>From dd8ab2ac3659057241707f05a5a63910aa1da677 Mon Sep 17 00:00:00 2001
Message-Id: <dd8ab2a[email-masked]>
From: Pierre Langlois <[email-masked]>
Date: Fri, 21 Apr 2023 22:53:11 +0100
Subject: [PATCH] gnu: gdb@11: Update to 11.2.

* gnu/packages/gdb.scm (gdb-11): Update to 11.2.
---
 gnu/packages/gdb.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gdb.scm b/gnu/packages/gdb.scm
index 82050d9ac5..dfc32ea2fb 100644
--- a/gnu/packages/gdb.scm
+++ b/gnu/packages/gdb.scm
@@ -48,14 +48,14 @@ (define-module (gnu packages gdb)
 (define-public gdb-11
   (package
     (name "gdb")
-    (version "11.1")
+    (version "11.2")
     (source (origin
               (method url-fetch)
               (uri (string-append "mirror://gnu/gdb/gdb-"
                                   version ".tar.xz"))
               (sha256
                (base32
-                "151z6d0265hv9cgx9zqqa4bd6vbp20hrljhd6bxl7lr0gd0crkyc"))))
+                "0cif2n3wfg1w8vc1kfnp6358idxa1zj0wjm8m5qqc6w8f5mc75ql"))))
     (build-system gnu-build-system)
     (outputs '("out" "debug"))
     (arguments
-- 
2.39.2